import { Component, Project } from 'projen';
import { BasePublishOptions } from './common';
/**
 * Publish Python packages in a directoty to a Pypi registry
 */
export declare class PublishPypiTasks extends Component {
    taskName: string;
    constructor(project: Project, opts: PublishPypiOptions);
}
export interface PublishPypiOptions extends BasePublishOptions {
    /**
     * All Python packages in this directory will be published (*.whl).
     * Fails if no package is found.
     * @default "dist/python"
     */
    readonly packagesDir: string;
}
